Bug 213755 - devel/awscli: Update to 1.11.13
Summary: devel/awscli: Update to 1.11.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Joseph Mingrone
URL: https://github.com/aws/aws-cli/blob/1...
Keywords:
Depends on: 213353 213754 214159
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-24 20:02 UTC by Bradley T. Hughes
Modified: 2016-11-04 16:21 UTC (History)
2 users (show)

See Also:
alexey: maintainer-feedback+


Attachments
1.11.8 (1.67 KB, patch)
2016-10-24 20:02 UTC, Bradley T. Hughes
no flags Details | Diff
1.11.9 (1.67 KB, patch)
2016-10-25 08:44 UTC, Bradley T. Hughes
alexey: maintainer-approval+
Details | Diff
1.11.10 (1.68 KB, patch)
2016-10-26 11:28 UTC, Bradley T. Hughes
no flags Details | Diff
1.11.10, take maintainership (1.81 KB, patch)
2016-10-26 18:03 UTC, Bradley T. Hughes
alexey: maintainer-approval+
Details | Diff
1.11.12, take maintainership (1.81 KB, patch)
2016-11-03 09:42 UTC, Bradley T. Hughes
alexey: maintainer-approval+
Details | Diff
devel/awscli: Update to 1.11.13 (1.81 KB, patch)
2016-11-04 11:13 UTC, Bradley T. Hughes
bhughes: maintainer-approval? (alexey)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bradley T. Hughes freebsd_committer 2016-10-24 20:02:08 UTC
Created attachment 176116 [details]
1.11.8

Bump to the latest upstream release. Bump version on devel/py-botocore
to 1.4.65 and net/py-s3transfer to 0.1.9, keeping in sync with upstream.

https://github.com/aws/aws-cli/blob/1.11.8/CHANGELOG.rst
Comment 1 Bradley T. Hughes freebsd_committer 2016-10-25 08:44:06 UTC
Created attachment 176135 [details]
1.11.9

New upstream release = new patch to use that version :)
Comment 2 Bradley T. Hughes freebsd_committer 2016-10-25 09:57:23 UTC
portlint: OK (-C, looks fine.)
testport: OK (poudriere: 11.0-R, 10.[123]-R, 9.3-R, amd64/i386, default options)
Comment 3 Bradley T. Hughes freebsd_committer 2016-10-26 11:28:04 UTC
Created attachment 176184 [details]
1.11.10

New upstream release.
Comment 4 Bradley T. Hughes freebsd_committer 2016-10-26 13:35:44 UTC
portlint: OK (-C, looks fine.)
testport: OK (poudriere: 9.3-R, 10.[123]-R, 11.0-RC3, amd64/i386, default options)
Comment 5 Bradley T. Hughes freebsd_committer 2016-10-26 18:03:03 UTC
Created attachment 176196 [details]
1.11.10, take maintainership

Updated 1.11.10 patch, taking maintainership as offered by Alexey via email. Thanks, Alexey! :)
Comment 6 Bradley T. Hughes freebsd_committer 2016-11-03 09:42:58 UTC
Created attachment 176585 [details]
1.11.12, take maintainership

New upstream release, updated patch.
Comment 7 Bradley T. Hughes freebsd_committer 2016-11-04 11:13:05 UTC
Created attachment 176613 [details]
devel/awscli: Update to 1.11.13

Bump to the latest upstream release. Bump version on devel/py-botocore
to 1.4.70 and net/py-s3transfer to 0.1.9, keeping in sync with upstream.
    
Take maintainership offered by Alexey via email. Thanks :)
    
https://github.com/aws/aws-cli/blob/1.11.13/CHANGELOG.rst

portlint: OK (-C, looks fine.)
testport: OK (poudriere: 11.0-R, 10.[123]-R, 9.3-R, amd64/i386, default options)
Comment 8 commit-hook freebsd_committer 2016-11-04 16:18:07 UTC
A commit references this bug:

Author: jrm
Date: Fri Nov  4 16:17:53 UTC 2016
New revision: 425336
URL: https://svnweb.freebsd.org/changeset/ports/425336

Log:
  devel/awscli: Update to 1.11.13.

    - Set new maintainer (bradleythughes@fastmail.fm).
    - Set LICENSE_FILE.
    - Match upstream by setting RUN_DEPENDS to version 1.4.70 for
      devel/py-botocore and version 0.1.9 for net/py-s3transfer.

  PR:		213755
  Submitted by:	bradleythughes@fastmail.fm (new maintainer)
  Approved by:	swills (mentor)
  Differential Revision:	https://reviews.freebsd.org/D8350

Changes:
  head/devel/awscli/Makefile
  head/devel/awscli/distinfo
Comment 9 Joseph Mingrone freebsd_committer 2016-11-04 16:21:06 UTC
Committed.  Thanks!